#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libuuid-dev preinstallation
#
# Creation   :  2018-01-10 holbru
# Last update:  $Id: preinstall.sh 48702 2018-01-11 21:45:24Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libuuid-dev

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check util-linux-dev)

if [ "${installed}" = "installed" ]
then
    if [ -f /etc/filelist.d/util-linux-dev-files.txt ]
    then
        u_files='libuuid.so
uuid.pc
uuid.h'

        echo "${u_files}" |
        while read FNAME
        do        
            sed -i "/${FNAME}$/d"  /etc/filelist.d/util-linux-dev-files.txt 
        done
    fi
fi

installed=$(eisman check ${package_name})

if [ "${installed}" = "installed" ]
then
    /var/install/bin/del-package --update -p ${package_name}
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
